#!/usr/bin/perl

print <<EOF;
WARNING WARNING WARNING
This script is obsolete; you really ought to press Ctrl-C now to abort
and run /usr/lib/listar/listar -newlist instead.  If you're REALLY SURE you
want to use this script, just press Enter here.

EOF

$foo = <>;

#
# This is a quicky script for making Listar lists.
# It may well have to be modified for your local configuration.

# Alter these two.
chomp ($myhost = `cat /etc/mailname`);
$mydir = "/usr/lib/listar";

$mylog = "/var/log/listar.log";


# Main body

chdir("/var/lib/listar");

print (STDERR "Listar list creation shortcut.\n");
print (STDERR "-------\n");
print (STDERR "Please note that all addresses should be full ones, e.g.\n");
print (STDERR "'listar\@listar.org' instead of just 'listar'.\n");
print (STDERR "\n");
print (STDERR "The 'admin' address should be an address from which mail can be\n");
print (STDERR "SENT, not just received.\n");
print (STDERR "-------\n");
print (STDERR "New list name: ");

$listname = <>;
if ($listname =~ /(.*)/) 
{
   $listname = $1;
}

print (STDERR "List admin address: ");

$listowner = <>;
if ($listowner =~ /(.*)/) 
{
   $listowner = $1;
}

print (STDERR "Creating $listname with owner $listowner.\n");

mkdir("lists/$listname",0777) || die("Could not create list directory!");
mkdir("lists/$listname/text",0777) || die("Could not create text directory!");

# Create 'users' file.
open (MYFILE, "> lists/$listname/users") || die("Could not open users file!");
print (MYFILE "$listowner : |ADMIN|SUPERADMIN|ECHOPOST|REPORTS|CCERRORS|\n");
close(MYFILE);

open (MYFILE, "> lists/$listname/config") || die("Could not open config file!");

print MYFILE <<"endconfig"
# Listar configuration file
# Generated for list $listname

# List 'owner' address
list-owner = ${listname}-admins\@$myhost

# Send-as - if not specified, falls back to list-owner value.
# By default, the newlist script makes this the bounce-handler address.
# DO NOT MAKE THIS THE MAILING LIST ADDRESS.
# This is where bounces and whatnot will go to; if you make it the mailing
# list address, the bounces WILL BE SENT TO THE LIST.  Bad stuff. :)
send-as = $listname-bounce\@$myhost

# List address for reply-to
# reply-to = $listname\@$myhost

# Administrivia address
administrivia-address = $listname-admins\@$myhost

# Uncomment and alter the following line for subject tags
# subject-tag = [$listname]

# Description of the list, uncomment and alter.
# description = $listname mailing list

# Subscription policy; open, closed, or confirm.  Default is open.
# Confirm requires uses to send back a generated ticket to subscribe.
# Closed will send a ticket to admins to subscribe the person to the list.
subscribe-mode = open

# Is the list closed for posting to non-subscribers?
closed-post = no

# Is the list moderated?
moderated = no

# If list is moderated, where do approved messages need to be sent?
approved-address = $listname-repost\@$myhost

# Is the 'who' command for this list 'private', 'public', or 'admin' only?
who-status = private

# Should we advertise the list in the 'lists' command?
advertise = yes

# Paths for archive directories
# archive-path is for MH style, mbox-archive-path for MBOX style.
# You can specify both.  Uncomment either line to use.
# archive-path = archives/$listname
# mbox-archive-path = archives/mbox

# Should the list strip MIME-encoded attachments if they are binary, and
# turn text documents readable?  This also affects MIME documents of
# type multipart/alternative, where multiple copies of the same message
# are sent with different formats (text, HTML, RTF, etc.)  If
# humanize-mime is set true, Listar will take the text version and strip
# the others.
humanize-mime = yes

# Bouncer configuration variables
# For the Bouncer reports to be sent to you, set the flag REPORTS.
# For CC's of error messages, set CCERRORS.

# Maximum transient bounces
bounce-max-transient = 30

# Maximum fatal bounces
bounce-max-fatal = 10

# Maximum days to keep a user in watchfile without a bounce
bounce-timeout-days = 7

# Should Bouncer situations that would result in an unsubscribe be handled
# by setting the user VACATION instead
bounce-never-unsub = no

# More variables can be added here later.

endconfig
;

close(MYFILE);
print (STDERR "Spitting information to add to aliases on stdout.\n");

print ("\n# Aliases for list '$listname'\n");
print ("$listname: \"|$mydir/listar -s $listname\"\n");
print ("$listname-request: \"|$mydir/listar -r $listname\"\n");
print ("$listname-repost: \"|$mydir/listar -a $listname\"\n");
print ("$listname-admins: \"|$mydir/listar -admins $listname\"\n");
print ("$listname-moderators: \"|$mydir/listar -moderators $listname\"\n");
print ("$listname-bounce: \"|$mydir/listar -bounce $listname\"\n");
print ("$listname-owner: $listowner\n");

($sec, $min, $hour, $mday, $mon, $year, $wday, $yday, $isdst) =
    localtime(time);

open (LOGFILE,">> $mylog") || die ("Couldn't open $mylog");

$mon = $mon + 1;

print (LOGFILE "[$mon/$mday/$year-$hour:$min:$sec] New list $listname created.\n");

close(LOGFILE);
